#
# spec file for package rinetd (Version 0.61)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rinetd
Copyright:    GPL
Group:        Networking/Daemons
Provides:     rinetd 
Autoreqprov:  on
Version:      0.61
Release:      330
Summary:      TCP redirection server
URL:          http://www.boutell.com/rinetd/
Source0:      ftp://ftp.boutell.com/pub/boutell/rinetd/rinetd.tar.gz
Source1:      rc.rinetd
Source2:      rc.config.rinetd
Patch:        rinetd.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
rinetd redirects TCP connections from one IP address and port to another.
rinetd is a single-process server which handles any number of connections
to the address/port pairs specified in the file /etc/rinetd.conf.
Since rinetd runs as a single process using nonblocking I/O, it is able
to redirect a large number of connections without a severe impact on
the machine. This makes it practical to run TCP services on machines
inside an IP masquerading firewall.
Note: rinetd can not redirect FTP, because FTP requires more than one socket.

Authors:
--------
    Thomas Boutell <boutell@boutell.com>

SuSE series: n

%prep
%setup -n rinetd
%patch

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
touch $RPM_BUILD_ROOT/etc/rinetd.conf
install -m 700 rinetd $RPM_BUILD_ROOT/usr/sbin
install -m 644 rinetd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 $RPM_SOURCE_DIR/rc.rinetd $RPM_BUILD_ROOT/etc/init.d/rinetd
ln -s ../../etc/init.d/rinetd $RPM_BUILD_ROOT/usr/sbin/rcrinetd
install -m 644 $RPM_SOURCE_DIR/rc.config.rinetd $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.rinetd

%post 
sbin/insserv etc/init.d/rinetd
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.rinetd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.rinetd and update by hand."
fi

%postun
sbin/insserv etc/init.d/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc CHANGES README index.html rinetd.conf.sample 
%doc %{_mandir}/man8/rinetd.8.gz
%config(missingok,noreplace) %ghost /etc/rinetd.conf
%config /etc/init.d/rinetd
/usr/sbin/rcrinetd
/usr/sbin/rinetd
/var/adm/fillup-templates/rc.config.rinetd

%changelog -n rinetd
* Thu Apr 19 2001 - grimmer@suse.de
- Updated init file according to new skeleton
* Fri Mar 09 2001 - grimmer@suse.de
- fixed typo in manpage (#6572)
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Mon Dec 18 2000 - grimmer@suse.de
- added Sourceadress extension by Lutz Pressler <lp@SerNet.DE>
* Fri Dec 15 2000 - grimmer@suse.de
- init script fixes (added $remote_fs to Required-Start, removed
  run level 2 from Default-Start, added check if binary exists)
* Tue Nov 28 2000 - grimmer@suse.de
- moved init script to /etc/init.d and use system facility names
- moved convenience link rcrinetd to /usr/sbin/
* Thu Nov 23 2000 - grimmer@suse.de
- extracted init script and rc.config entry from diff
  and added them as separate source files
- added BuildRoot
- created new init script and replaced symbolic links
  with calls to insserv in post and postun section
- corrected fillup error message in post section and expanded
  comment in rc.config
* Thu Feb 17 2000 - grimmer@suse.de
- added patch from kus@suse.de to enable logging via syslog
- added Group tag
- added URL
- use manpage macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 31 1999 - grimmer@suse.de
- update to 0.61
* Tue Mar 02 1999 - grimmer@suse.de
- new version
- specfile update
* Tue Nov 10 1998 - grimmer@suse.de
- new version (0.52)
- new init script (for 6.0)
* Mon Oct 05 1998 - grimmer@suse.de
- New Package (version 0.51)
